function [c, ceq] = myconKK_int(x0)

%These are the non-linear constraints
[N,~]=size(x0);
small=1e-7;


n=sqrt(N);
%This one needs coefficeint matrix on X to have ral eigenvalues
Coeff=x0; %coefficeints on factors
Coeff=reshape(Coeff,[n,n]);
kd = eig(Coeff);

%Imaginary parts then Negative eigen values
out = sum(real(kd)<small)+sum(real(kd)>1-small);

c = [];
ceq = out;
